############################################################
# This script accompanies the book "Windows NT Configuration
# and Maintenance" by Matthew M Lavy and Ashley J Meggitt
# (published by O'Reilly, 1999)
# The script is copyright, 1999 Matthew Lavy & Ashley Meggitt
# 
# WARNING: This script is provided in electronic format as a
# convenience for readers of the book it accompanies. It may
# well require site-specific customisation before it works at
# all, and may cause damage to a workstation if run without this
# customisation (please refer to the book for details).
# DO NOT RUN THIS SCRIPT UNLESS YOU HAVE CHECKED THOROUGHLY THAT
# IT IS SAFE TO DO SO. The authors accept no liability for any
# damage caused by running the script.


#DiskRep.pl

use Net::SMTP;
@drives = ("C","D");
$warnlimit = 20000000;
$catastrophelimit = 10000000;
$smtp_host = 'smtp.coolplace.com';
$script_address = 'drivechecker@coolplace.com';
$send_to = 'Ntadmin@coolplace.com';
$status = "Drive status report for $ENV{'COMPUTERNAME'}\n\n";
$sendwarning = 0;

foreach $drive(@drives)
{
$dir = `dir $drive:\\`;
$dir =~ s/.*^\D+((\d|,)+).*/$1/sm;
$dir =~ s/,//g;
if($dir <= $catastrophelimit)
{
$status = "${status}Drive $drive has reached its limit\n";
$sendwarning = 1;
}
elsif($dir <= $warnlimit)
{
$status = "${status}Drive $drive is reaching its limit\n";
$sendwarning = 1;
}
else
{
$status = "${status}Drive $drive has plenty of space\n";
}
}
if($sendwarning)
{
$smtp = Net::SMTP->new($smtp_host);
$smtp->mail($script_address);
$smtp->to($send_to);
$smtp->data();
$smtp->datasend($status);
$smtp->dataend();
$smtp->quit;
}